From aacd68ffc1251ca97326e460ca96c5c5ce5b644b Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Thu, 24 Jan 2013 22:47:14 +0100
Subject: Adapt the menu parameters to the actual requirements for rendering

--HG--
extra : source : 36af6c00d59a967872d56257618de1b409ae8a32
---
 lib/redmine.rb |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/lib/redmine.rb b/lib/redmine.rb
index 3dc0f10..f2ed25d 100644
--- a/lib/redmine.rb
+++ b/lib/redmine.rb
@@ -240,7 +240,7 @@ Redmine::MenuManager.map :project_menu do |menu|
 
                 versions.collect do |version|
                   Redmine::MenuManager::MenuItem.new("version-#{version.id}".to_sym,
-                                                     { :controller => 'versions', :action => 'show', :id => version },
+                                                     { :controller => 'version', :action => 'show', :id => version.id },
                                                      {
                                                        :caption => version.name,
                                                        :parent => :roadmap
@@ -270,6 +270,7 @@ Redmine::MenuManager.map :project_menu do |menu|
               :parent => :issues
             })
   menu.push(:issue_summary, { :controller => 'reports', :action => 'issue_report' }, {
+              :param => :project_id,
               :caption => :field_issue_summary,
               :parent => :issues
             })
-- 
1.7.1


